package com.infoepoch.pms.agent.platform.chat.domain.irepository;

import com.infoepoch.pms.agent.common.utils.AbstractCriteria;

/**
 * @author jiangyz
 * @date 2026/4/18 10:55
 */
public class GraphThreadCriteria extends AbstractCriteria {

    //region
    public boolean byThreadId() {
        return this.andMap.containsKey("ThreadId");
    }

    private String threadId;

    public String getThreadId() {
        if (byThreadId())
            return threadId;
        return null;
    }

    public void setThreadId(String value) {
        this.threadId = value;
        this.andMap.put("ThreadId", value);
    }
    //endregion

    //region
    public boolean byThreadName() {
        return this.andMap.containsKey("ThreadName");
    }

    private String threadName;

    public String getThreadName() {
        if (byThreadName())
            return threadName;
        return null;
    }

    public void setThreadName(String value) {
        this.threadName = value;
        this.andMap.put("ThreadName", value);
    }
    //endregion

    //region
    public boolean byReleased() {
        return this.andMap.containsKey("Released");
    }

    private Boolean released;

    public Boolean getReleased() {
        if (byReleased())
            return released;
        return null;
    }

    public void setReleased(Boolean value) {
        this.released = value;
        this.andMap.put("Released", value);
    }
    //endregion

}